Bug 21648 - Patron Merge needs more flexibility and transparency
Summary: Patron Merge needs more flexibility and transparency
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 9302
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-24 15:34 UTC by Andrew
Modified: 2019-05-09 08:19 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2018-10-24 15:34:36 UTC
The patron merge tool introduced in 18.05 is a great step, but creates some issues. Contact information for the discarded patron is lost even when the kept patron has null values for those fields. Merging patrons with additional patron attributes results in a patron with multiple values for an attribute that is not supposed to be repeatable. The screen that confirms the merge has completed reports counts of transferred data but doesn't allow one to see details of what was transferred from the discarded patron to the kept patron.

A good next step here would be an interface similar to what we see when merging bibs -- the opportunity to see values for both patron records and select which will be carried forward to the final record, at least for all fields in the borrowers table and for additional patron attributes.
Comment 1 Carlos Lopez 2019-04-01 05:06:33 UTC
Verified: When we've merged borrower records we've found that the resulting record contains multiple patron attributes (even when these are set as not repeatable).